EPG
Transmission schedule (XML)
GET
Scope: feeds:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
id*stringOK
response?stringapplication/xmlExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/transmission.xml'Example Response
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<transmission-schedule generator=\"Ingenee\" profile=\"fast-transmission\">\n <channel id=\"e2e-ad-channel-india\" timezone=\"Asia/Kolkata\">E2E Ad Channel India</channel>\n <events count=\"1513\">\n <event>\n <channel_id>e2e-ad-channel-india</channel_id>\n <channel_name>E2E Ad Channel India</channel_name>\n <schedule_date>2026-10-28</schedule_date>\n <event_id>EVT001</event_id>\n <event_sequence>1</event_sequence>\n <event_type>AD_BREAK</event_type>\n <start_time_local>2026-10-28 09:30:00</start_time_local>\n <start_time_utc>2026-10-28 04:00:00</start_time_utc>\n <end_time_local>2026-10-28 09:31:00</end_time_local>\n <duration>60</duration>\n <title>Commercial Break</title>\n <content_type>COMMERCIAL_BREAK</content_type>\n <time_allocation_type>AdBreak</time_allocation_type>\n <break_id>BRK001</break_id>\n <break_duration>60</break_duration>\n <scte_event_type>TIME_SIGNAL</scte_event_type>\n <scte_event_id>775139</scte_event_id>\n <programming_status>APPROVED</programming_status>\n <remarks>pre-roll · 2 spot avails · if ad fill fails after 3s: house ads (none on this channel)</remarks>\n </event>\n <event>\n <channel_id>e2e-ad-channel-india</channel_id>\n <channel_name>E2E Ad Channel India</channel_name>\n <schedule_date>2026-10-28</schedule_date>\n <event_id>EVT002</event_id>\n <event_sequence>2</event_sequence>\n <event_type>PROGRAM</event_"